Bug 1098576 - ModClusterService stop commands are always draining sessions
Summary: ModClusterService stop commands are always draining sessions
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: mod_cluster
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER6
: EAP 6.3.0
Assignee: Jean-frederic Clere
QA Contact: Michal Karm Babacek
Russell Dickenson
URL:
Whiteboard:
Depends On: 1101681 1107551
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-16 15:07 UTC by Aaron Ogburn
Modified: 2018-12-06 16:32 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
In previous versions of JBoss EAP 6, using the `ModClusterService` stop or `stopContext` commands from the CLI interface failed to move a context to the STOPPED state after failing to drain the active sessions. This meant these commands were not viable for quickly stopping the context when desired (without draining). This issue has been resolved with an updated to the mod_cluster component.
Clone Of:
Environment:
Last Closed: 2014-06-28 15:44:55 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker MODCLUSTER-404 Major Closed ModClusterService stop commands are always draining sessions 2019-04-02 14:05:47 UTC

Description Aaron Ogburn 2014-05-16 15:07:55 UTC
Description of problem:

Using the ModClusterService stop or stopContext commands via CLI always fails to move a context to the STOPPED state after failing to drain the active sessions. So these commands then aren't very useful for quickly stopping the context when desired if you can't do it without draining.


Version-Release number of selected component (if applicable):

1.2.8.Final


How reproducible:

Always


Steps to Reproduce:
1. Setup httpd/JBoss/mod_cluster and deploy a <distributable/> app on JBoss
2. Establish a session on this app
3. Call via cli:

        /subsystem=modcluster:stop()

   And note that modcluster will try to drain the sessions, fail to do that within time, and then not stop the context (leaving it in a disabled state on httpd)

Actual results:

Session draining strategy isn't honored so stop commands usually don't actually stop contexts


Expected results:

Session draining strategy is honored so stop commands can be useful

Comment 1 Aaron Ogburn 2014-05-16 15:09:37 UTC
Fixed per MODCLUSTER-404 so we need a component upgrade

Comment 2 Jean-frederic Clere 2014-06-03 07:48:53 UTC
Updating to mod_cluster-1.2.9.Final have fixed the issue.

Comment 3 Michal Karm Babacek 2014-06-18 19:07:48 UTC
Verified in EAP 6.3.0.ER7

mod_cluster 1.2.8
 - calling  ./jboss-cli.sh --connect --controller=192.168.122.78:9999 --command="/subsystem=modcluster:stop()"
   does not stop the context, present sessions are being kept

mod_cluster 1.2.9
 - calling the aforementioned causes an immediate failover to another node

Comment 4 Scott Mumford 2014-06-27 00:32:24 UTC
This bug is shown as affecting and fixed in 6.3.0. Is this the case? It might not need a release note.

Comment 5 Jean-frederic Clere 2014-06-27 10:19:12 UTC
It needs a release note it was reported by a customer against 6.2.

Comment 6 Scott Mumford 2014-07-13 22:24:00 UTC
Changed Version setting to 6.2 based on comment 5 (this will ensure it gets included in the 6.3.0 Release Notes)


Note You need to log in before you can comment on or make changes to this bug.